#include <Array.au3>

Global $sTableName    =  "tblTable1"
Global $sDatabaseName = @ScriptDir & "\Test.mdb"
If Not FileExists($sDatabaseName) Then
	ConsoleWrite('! Error : DatabaseName = ' & $sDatabaseName & ' nicht gefunden' & @CRLF)
	Exit
EndIf

Global $oConnection   = ObjCreate("ADODB.Connection")
$oConnection.Open("Driver=Microsoft Access Driver (*.mdb); DBQ=" & $sDatabaseName)
Global $oRecordSet    = ObjCreate("ADODB.RecordSet")

Global $sQuery = "Select * From " & $sTableName
$oRecordSet.Open($sQuery, $oConnection)
Global $aRecordSetArr = $oRecordSet.GetRows
$oRecordSet.Close()
$oConnection.Close()

_ArrayDisplay($aRecordSetArr, 'Tabelle = ' & $sTableName)

; ERWEITERUNG :
; Ausgewhlte Spalte (Column) des RecordSet-Arrays in ein 1D-Array eintragen :
Global $iColumn = 0 ; ausgewhlte Spalte angeben
Global $aRecordSetArrCol[UBound($aRecordSetArr)]
For $i = 0 To UBound($aRecordSetArr) - 1
	$aRecordSetArrCol[$i] = $aRecordSetArr[$i][$iColumn]
Next
_ArrayDisplay($aRecordSetArrCol, "1D-Array  Spalte " & $iColumn)
